//------------------------------------------------------------
// cel_paint

//------------------------------------------------------------
uniform sampler2D mmv_tex2; // EXeNX`1
uniform sampler2D mmv_tex3; // EXeNX`2

//------------------------------------------------------------
varying vec3 VERTEX_NORMAL;	// @xNg
varying vec3 VERTEX_LIGHT;	// CgxNg
varying vec3 VERTEX_LIGHT2;	// CgxNg
varying vec3 VERTEX_EYE;	// xNg

// ------------------------------------------------------------
// tOgVF[_vO
// ------------------------------------------------------------
void main( void )
{
	vec3	N	= normalize(VERTEX_NORMAL);	// @xNg
	vec3	L	= normalize(VERTEX_LIGHT);	// CgxNg
	vec3	L2	= normalize(VERTEX_LIGHT2);	// CgxNg
	vec3	E	= normalize(VERTEX_EYE);	// xNg
	vec3	R	= reflect( L, N );			// ˃xNg
	
	//F
//	vec3	color	= texture2D( mmv_tex0, gl_TexCoord[ 0 ].st ).rgb;	//}eAF
//	float	a		= texture2D( mmv_tex0, gl_TexCoord[ 0 ].st ).a;		//sx
	vec3	color	= gl_FrontMaterial.diffuse.rgb;	//}eAF
	float	a		= gl_FrontMaterial.diffuse.a;	//sx
	
	float	lumi	= texture2D( mmv_tex3, gl_TexCoord[ 0 ].st ).r;

	
	float	dif		= max( dot( N, L ), 0.0 ) * 0.85;	//gUxi̋j
	float	dif2	= max( dot( N, L2 ), 0.0 ) * 0.6;	//gUxi̋j
	dif	= min( ( dif + dif2 ) * lumi, 1.0 );
	
	dif	= dif * ( 254.0 / 256.0 ) + ( 1.0 / 256.0 );	//ItZbg
	
	vec3	cel1	= texture2D( mmv_tex2, vec2( dif, 0.25 ) ).rgb;	//Z
	vec3	cel2	= texture2D( mmv_tex2, vec2( dif, 0.75 ) ).rgb;	//Z
	

	//XyL
	float	powr	= gl_FrontMaterial.shininess;	//˂̋
	float	s_dif	= gl_FrontMaterial.specular.r;	//ˌ(rgb)
	
    float	spec	= pow( max( dot( R, E ), 0.0 ), powr ) * s_dif;
	
	
	gl_FragColor	= vec4( color * cel1 + cel2 + vec3( spec ), a );	//o
}
